package com.bonus.sgzb.material.mapper;

import com.bonus.sgzb.base.api.domain.LeaseOutDetails;
import com.bonus.sgzb.base.api.domain.MaType;
import com.bonus.sgzb.base.api.domain.SltAgreementInfo;
import com.bonus.sgzb.material.domain.LeaseRecord;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @description  综合查询--领料记录查询
 * @author hay
 * @date   2024/2/26 14:19
 */
@Mapper
public interface LeaseRecordMapper {

    /**
     * 综合查询--领料记录列表
     * @param bean
     * @return List<LeaseRecord>
     */
    List<LeaseRecord> getLeaseRecordList(LeaseRecord bean);

    SltAgreementInfo getSltAgreementInfo(LeaseOutDetails leaseOutDetail);

    int updSltInfo(SltAgreementInfo sltAgreementInfo);

    String getAgreementId(String taskId);

    String getProtocol(String agreementId);

    MaType getMaType(Integer typeId);

    int insSltInfo(@Param("record") LeaseOutDetails record, @Param("agreementId")String agreementId,@Param("ma") MaType ma);

    void updateLeaseRecord(LeaseRecord leaseRecord);
}
